Describes the Abi function

### Hierarchy

- AbiFunction

## Index

### Constructors

- constructor

### Properties

- name
- parameters
- returntype

### Methods

- getParameter
- setParamsValue
- toString

## Constructors

### constructor

- new AbiFunction(name: string, returntype: string, parameters: Parameter[]): AbiFunction

- - Defined in smartcontract/abi/abiFunction.ts:27

  #### Parameters

  - ##### name: string

  - ##### returntype: string

  - ##### parameters: Parameter[]

  #### Returns AbiFunction

## Properties

### name

name: string

- Defined in smartcontract/abi/abiFunction.ts:25

### parameters

parameters: Parameter[]

- Defined in smartcontract/abi/abiFunction.ts:27

### returntype

returntype: string

- Defined in smartcontract/abi/abiFunction.ts:26

## Methods

### getParameter

- getParameter(name: string): any

- - Defined in smartcontract/abi/abiFunction.ts:35

  #### Parameters

  - ##### name: string

  #### Returns any

### setParamsValue

- setParamsValue(...args: Parameter[]): void

- - Defined in smartcontract/abi/abiFunction.ts:46

  #### Parameters

  - ##### Rest ...args: Parameter[]

  #### Returns void

### toString

- toString(): string

- - Defined in smartcontract/abi/abiFunction.ts:62

  #### Returns string

Generated using TypeDoc